/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The user data model based on the com.quartzdesk.domain.model.security.GroupStub class.
 */
Ext.define( 'QDesk.model.security.GroupStub', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    { name : 'name', type : 'string' },

    { name : 'system', type : 'boolean' },

    { name : 'displayName', type : 'string' }
  ]
} );