/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The user data model based on the com.quartzdesk.domain.model.system.ws.ServiceEndpointOperation class.
 */
Ext.define( 'QDesk.model.system.ws.ServiceEndpointOperation', {
  extend : 'Ext.data.Model',

  requires : [],

  fields : [
    { name : 'id', type : 'number', allowNull : false },

    { name : 'name', type : 'string', allowNull : false },
    { name : 'description', type : 'string', allowNull : true },

    { name : 'lastStartedAt', type : 'auto', allowNull : true },
    { name : 'lastFinishedAt', type : 'auto', allowNull : true },
    { name : 'lastDuration', type : 'number', allowNull : true },
    { name : 'lastErrorDesc', type : 'string', allowNull : true },

    { name : 'countSuccess', type : 'number', allowNull : false },
    { name : 'timeSuccess', type : 'number', allowNull : false },

    { name : 'countError', type : 'number', allowNull : false },
    { name : 'timeError', type : 'number', allowNull : false }
  ]
} );