/* Ext.Ajax.setTimeout() does not seem to affect Ajax proxies in stores, so we need this override. */
Ext.define( 'QDesk.overrides.data.Store', {
  override : 'Ext.data.Store',

  requires : [
    'QDesk.ApplicationConfig'
  ],

  load : function ()
  {
    var me = this;
    var proxy = me.getProxy();
    proxy.timeout = 1000 * QDesk.ApplicationConfig.get( 'ajaxTimeout' );
    me.callParent( arguments );
  }
} );