Ext.define( 'QDesk.overrides.data.proxy.Server', {
  override : 'Ext.data.proxy.Server',

  requires : [
    'QDesk.util.constant.ActionUrl'
  ],

  /* Parameter names used in Ajax data store requests */
  startParam : 'startAt',
  groupParam : 'groupBy',
  sortParam : 'sort',
  filterParam : 'filter',

  noCache : true,  // true is default (a _dc param s appended to all proxy request URLs)

  getNoCache : function ()
  {
    if ( Ext.String.startsWith( this.getUrl(), QDesk.util.constant.ActionUrl.emptyStoreAction ) )
    {
      return false;
    }

    return this.noCache;
  }
} );
