/*
  * Overridden validation messages.
  */
Ext.define( 'QDesk.overrides.form.field.VTypes', {
  override : 'Ext.form.field.VTypes',

  requires : [
    'QDesk.Msg'
  ],

  constructor : function ( config )
  {
    var me = this;

    Ext.apply( config, {
      emailText : QDesk.Msg.get( 'Ext.form.field.VTypes.emailText' ),
      urlText : QDesk.Msg.get( 'Ext.form.field.VTypes.urlText' ),
      alphaText : QDesk.Msg.get( 'Ext.form.field.VTypes.alphaText' ),
      alphanumText : QDesk.Msg.get( 'Ext.form.field.VTypes.alphanumText' )
    } );

    me.callParent( [ config ] );
  }
} );
