/**
 * Default datetime format of the datetime value used by the DateTime component.
 */
Ext.define( 'QDesk.overrides.ux.form.field.DateTime', {
  override : 'Ext.ux.form.field.DateTime',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      dateTimeFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601WithoutTz
    } );

    me.callParent( [ config ] );
  }
} );