/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Message channel.
 */
Ext.define( 'QDesk.model.message.channel.MessageChannel', {
  singleton : true,

  COLLABORATION_HIPCHAT : 'COLLABORATION_HIPCHAT',
  COLLABORATION_SLACK : 'COLLABORATION_SLACK',

  EMAIL : 'EMAIL',

  INCIDENT_MGMT_JIRA : 'INCIDENT_MGMT_JIRA',
  INCIDENT_MGMT_OPSGENIE : 'INCIDENT_MGMT_OPSGENIE',

  IM_AIM : 'IM_AIM',
  IM_GTALK : 'IM_GTALK',
  IM_ICQ : 'IM_ICQ',
  IM_XMPP : 'IM_XMPP',
  IM_YAHOO : 'IM_YAHOO',

  SMS_CLICKATELL_CENTRAL : 'SMS_CLICKATELL_CENTRAL', /* old Clickatell API */
  SMS_CLICKATELL_PLATFORM : 'SMS_CLICKATELL_PLATFORM', /* new Clickatell API */
  SMS_CLOCKWORK : 'SMS_CLOCKWORK',
  SMS_NEXMO : 'SMS_NEXMO',
  SMS_SMSGLOBAL : 'SMS_SMSGLOBAL',
  SMS_TWILIO : 'SMS_TWILIO',

  SNMPV1_TRAP : 'SNMPV1_TRAP',
  SNMPV2C_TRAP : 'SNMPV2C_TRAP',
  SNMPV3_TRAP : 'SNMPV3_TRAP',

  WEB_SERVICE : 'WEB_SERVICE'
} );
