/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz repeat interval unit enum.
 * Based on com.quartzdesk.domain.model.scheduler.quartz.QuartzRepeatIntervalUnit
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzRepeatIntervalUnit', {
  singleton : true,

  MILLISECOND : 'MILLISECOND',
  SECOND : 'SECOND',
  MINUTE : 'MINUTE',
  HOUR : 'HOUR',
  DAY : 'DAY',
  WEEK : 'WEEK',
  MONTH : 'MONTH',
  YEAR : 'YEAR'
} );
