/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz scheduler statistics type enum.
 * Based on com.quartzdesk.domain.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType
 */
Ext.define( 'QDesk.model.scheduler.quartz.stats.QuartzSchedulerStatisticsType', {
  singleton : true,

  JOB_EXEC_TIME : 'JOB_EXEC_TIME',
  JOB_EXEC_COUNT : 'JOB_EXEC_COUNT',
  TOP_MOST_FREQ_EXEC_JOBS : 'TOP_MOST_FREQ_EXEC_JOBS',
  TOP_FASTEST_EXEC_JOBS : 'TOP_FASTEST_EXEC_JOBS',
  TOP_SLOWEST_EXEC_JOBS : 'TOP_SLOWEST_EXEC_JOBS',
  TOP_MOST_FREQ_EXEC_TRIGGERS : 'TOP_MOST_FREQ_EXEC_TRIGGERS',
  TOP_FASTEST_EXEC_TRIGGERS : 'TOP_FASTEST_EXEC_TRIGGERS',
  TOP_SLOWEST_EXEC_TRIGGERS : 'TOP_SLOWEST_EXEC_TRIGGERS'
} );
