/**
 * Localization of the Chart Preview window title.
 */
Ext.define( 'QDesk.overrides.draw.ContainerBase', {
  override : 'Ext.draw.ContainerBase',

  requires : [
    'QDesk.Msg'
  ],

  constructor : function ( config )
  {
    var me = this;

    Ext.apply( config, {
      previewTitleText : QDesk.Msg.get( 'Ext.draw.ContainerBase.previewWindowTitle' )
    } );

    me.callParent( [ config ] );
  }
} );
