/*
 * Copyright (c) 2013-2020 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoStackTraceForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [],

  alias : 'widget.ThreadInfoStackTraceForm',

  border : false,

  // cls : 'threadInfoStackTraceForm',
  // bodyCls : 'threadInfoStackTraceFormBody',

  layout : 'fit',

  scrollable : true,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var items = [];

    items.push(
        {
          xtype : 'displayfield',
          itemId : 'stackTrace'
        }
    );

    Ext.apply( config, {
      items : items
    } );

    me.callParent( [ config ] );
  }
} );
